getent(1)

NUME
getent - obține intrări din bibliotecile Name Service Switch

SINOPSIS
getent [opțiune ...] bază-date cheie ...

DESCRIERE
Comanda getent afișează intrările din bazele de date acceptate de bibliotecile Name Service Switch, care sunt configurate în /etc/nsswitch.conf. Dacă sunt furnizate unul sau mai multe argumente cheie, vor fi afișate numai intrările care corespund cheilor furnizate. În caz contrar, dacă nu este furnizată nicio cheie, vor fi afișate toate intrările (cu excepția cazului în care baza de date nu acceptă enumerarea).

baza de date poate fi oricare dintre cele acceptate de biblioteca GNU C, enumerate mai jos:

ahosts
    Atunci când nu este furnizată nicio cheie, se utilizează sethostent(3), gethostent(3) și endhostent(3) pentru a enumera baza de date cu gazde. Acest lucru este identic cu utilizarea hosts(5). Atunci când sunt furnizate unul sau mai multe argumente cheie, se pasează fiecare cheie în succesiune către getaddrinfo(3) cu familia de adrese AF_UNSPEC, enumerând fiecare structură de adrese de soclu returnată.

ahostsv4
    La fel ca ahosts, dar utilizează familia de adrese AF_INET.

ahostsv6
    La fel ca ahosts, dar utilizează familia de adrese AF_INET6. În acest caz, apelul către getaddrinfo(3) include indicatorul AI_V4MAPPED.

aliases
    În cazul în care nu este furnizată nicio cheie, se utilizează setaliasent(3), getaliasent(3) și endaliasent(3) pentru a enumera baza de date cu alias. În cazul în care sunt furnizate unul sau mai multe argumente cheie, se pasează fiecare cheie în succesiune către getaliasbyname(3) și se afișează rezultatul.

ethers
    În cazul în care sunt furnizate unul sau mai multe argumente cheie, se pasează fiecare cheie în succesiune către ether_aton(3) și ether_hostton(3) până când se obține un rezultat și se afișează rezultatul. Enumerarea nu este compatibilă cu ethers, astfel încât trebuie să se furnizeze o cheie.

group
    Atunci când nu este furnizată nicio key, se utilizează setgrent(3), getgrent(3) și endgrent(3) pentru a enumera baza de date a grupului. Atunci când sunt furnizate unul sau mai multe argumente cheie, se pasează fiecare cheie numerică la getgrgid(3) și fiecare cheie nenumerică la getgrnam(3) și se afișează rezultatul.

gshadow
    Atunci când nu este furnizată nicio cheie, se utilizează setsgent(3), getsgent(3) și endsgent(3) pentru a enumera baza de date gshadow. Atunci când sunt furnizate unul sau mai multe argumente cheie, se pasează fiecare cheie în succesiune către getsgnam(3) și se afișează rezultatul.

hosts
    Atunci când nu este furnizată nicio cheie, se utilizează sethostent(3), gethostent(3) și endhostent(3) pentru a enumera baza de date cu gazde. Atunci când sunt furnizate unul sau mai multe argumente cheie, se pasează fiecare cheie către gethostbyaddr(3) sau gethostbyname2(3), în funcție de faptul dacă un apel la inet_pton(3) indică faptul că cheie este sau nu o adresă IPv6 sau IPv4, și se afișează rezultatul.

initgroups
    În cazul în care sunt furnizate unul sau mai multe argumente cheie, se pasează fiecare cheie în succesiune către getgrouplist(3) și se afișează rezultatul. Enumerarea nu este acceptată pentru initgroups, astfel încât trebuie să se furnizeze o cheie.

netgroup
    Atunci când este furnizată o singură cheie, se pasează cheie la setnetgrent(3) și, utilizând getnetgrent(3), se afișează șirul triplu rezultat (nume-gazdă, nume-utilizator, nume-domeniu). Alternativ, pot fi furnizate trei chei, care sunt interpretate ca nume-gazdă, nume-utilizator și nume-domeniu pentru a se potrivi cu un nume de grup de rețea prin innetgr(3). Enumerarea nu este acceptată pentru netgroup, astfel încât trebuie să se furnizeze fie una, fie trei chei.

networks
    Atunci când nu este furnizată nicio cheie, se utilizează setnetent(3), getnetent(3) și endnetent(3) pentru a enumera baza de date a rețelelor. Atunci când sunt furnizate unul sau mai multe argumente cheie, se pasează fiecare cheie numerică la getnetbyaddr(3) și fiecare cheie nenumerică la getnetbyname(3) și se afișează rezultatul.

passwd
    Atunci când nu este furnizată nicio cheie, se utilizează setpwent(3), getpwent(3) și endpwent(3) pentru a enumera baza de date passwd. Atunci când sunt furnizate unul sau mai multe argumente cheie, se pasează fiecare cheie numerică la getpwuid(3) și fiecare cheie nenumerică la getpwnam(3) și se afișează rezultatul.

protocols
    În cazul în care nu este furnizată nicio cheie key, se utilizează setprotoent(3), getprotoent(3) și endprotoent(3) pentru a enumera baza de date a protocoalelor. În cazul în care sunt furnizate unul sau mai multe argumente cheie, se pasează fiecare cheie numerică la getprotobynumber(3) și fiecare cheie nenumerică la getprotobyname(3) și se afișează rezultatul.

rpc Atunci când nu este furnizată nicio cheie, se utilizează setrpcent(3), getrpcent(3) și endrpcent(3) pentru a enumera baza de date rpc. Atunci când sunt furnizate unul sau mai multe argumente cheie, se pasează fiecare cheie numerică la getrpcbynumber(3) și fiecare cheie nenumerică la getrpcbyname(3) și se afișează rezultatul.

services
    Atunci când nu este furnizată nicio cheie, se utilizează setservent(3), getservent(3) și endservent(3) pentru a enumera baza de date a serviciilor. Atunci când sunt furnizate unul sau mai multe argumente cheie, se pasează fiecare cheie numerică la getservbynumber(3) și fiecare cheie nenumerică la getservbyname(3) și se afișează rezultatul.

shadow
    Atunci când nu este furnizată nicio cheie, se utilizează setspent(3), getspent(3) și endspent(3) pentru a enumera baza de date shadow. Atunci când sunt furnizate unul sau mai multe argumente cheie, se pasează fiecare cheie în succesiune către getspnam(3) și se afișează rezultatul.

OPȚIUNI

--service serviciu
-s serviciu
    Suprascrie toate bazele de date cu serviciul specificat; (începând cu glibc 2.2.5.)

--service bază-date:serviciu
-s bază-date:serviciu
    Suprascrie numai bazele de date specificate cu serviciul specificat. Opțiunea poate fi utilizată de mai multe ori, dar va fi utilizat numai ultimul serviciu pentru fiecare bază de date; (începând cu glibc 2.4.)

--no-idn
-i
    Dezactivează codificarea IDN în căutările pentru ahosts/getaddrinfo(3); (începând cu glibc-2.13).

--help
-?
    Afișează un rezumat al utilizării și iese.

--usage
    Imprimă un mesaj scurt de utilizare și iese.

--version
-V
    Afișează numărul versiunii, licența și declarația de renunțare la garanție pentru getent.

STARE DE IEȘIRE
Una dintre următoarele valori de ieșire poate fi returnată de getent:

0   Comanda a ieșit cu succes.

1   Argumente lipsă sau bază-date necunoscută.

2   Una sau mai multe chei furnizate nu au putut fi găsite în baza-de-date.

3   Enumerarea nu este acceptată în această bază-date.

CONSULTAȚI ȘI
nsswitch.conf(5)

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.